Subject: Re: [PATCH v2 1/2] Teach git version --build-options about libcurl

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Jul 2024 08:28:58 -0700

Jeff King <[email-masked]> writes:

>> A command with a name along the lines of `git diagnose`, I'd say.
>
> OK. I don't really care much either way how it is spelled, though my
> inclination is that we already have a confusing number of commands and
> should avoid adding more.

I think what you are responding to is an oblique reference to a
command that already exists, and there is no need to worry about
adding more ;-).  If "bugreport" is not farming out the task of
collecting the information to it, "bugreport" need to be corrected
to do so (while "diagnose" may have to learn to collect more, if
"bugreport" collects things that "diagnose" does not (yet)).

> But my main point was that we have two ways of collecting data now, and
> it would be easier for users if they were unified, however the result is
> invoked.

Yup.